from registrar.source import get_source, S3Source
from registrar.config import SourceConfig


def test_get_source():
    expected = S3Source("mys3", "bucket", endpoint_url="http://some.endpoint")
    result = get_source([
        SourceConfig(
            "s3",
            name="mys3",
            filter=".*",
            kwargs={
                "endpoint_url": "http://some.endpoint",
                "bucket_name": "bucket",
            }
        )
    ], [
        "test/path"
    ])

    assert expected.name == result.name
    assert expected.bucket_name == result.bucket_name
    assert expected.secret_access_key == result.secret_access_key
    assert expected.access_key_id == result.access_key_id
    assert expected.endpoint_url == result.endpoint_url
    assert expected.strip_bucket == result.strip_bucket
    assert expected.region_name == result.region_name
    assert expected.public == result.public
